Launch Week 02 wrapped — explore all five launches

Delete Organization Role

DELETEhttps://api.confident-ai.com/v1/organization/roles/{roleId}

Deletes a custom organization role. A role that is still assigned to one or more members cannot be deleted.

DELETE/v1/organization/roles/{roleId}
curl -X DELETE "https://api.confident-ai.com/v1/organization/roles/{roleId}" \
  -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "role-uuid-3",
    "deleted": true
  }
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The organization API key for your Confident AI organization.

Path parameters

  • roleIdstringRequired

    The unique identifier of the role.

Response

  • successboolean

    Indicates if the request was successful

  • dataobject

    Show 2 propertiesHide 2 properties
    • idstring

      ID of the deleted role

    • deletedboolean

      Always true when the role was deleted

Built byConfident AI